
QGIS Application - Feature request #4815

Apply expression builder to raster calculator

2012-01-15 05:28 AM - Nathan Woodrow

Status: Open

Priority: Normal

Assignee: Nathan Woodrow

Category: Expressions

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14664

Description

Replace current raster calculator with the expression builder widget used for labeling.

Related issues:

Related to QGIS Application - Feature request # 4814: Apply expression builde... Closed 2012-01-15

History

#1 - 2012-04-15 10:06 AM - Giovanni Manghi

- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2013-05-25 07:21 PM - Nathan Woodrow

The raster calculator uses a different expression engine to the vector one.  Might be a good idea to create a base class for both or have raster support in

the expression engine.

#4 - 2013-05-26 06:49 AM - Paolo Cavallini

Agreed, unifying is good.

#5 - 2015-10-05 03:28 AM - Jürgen Fischer

- Category set to Expressions

#6 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
